function Create(self)
	self.burnTimer = Timer();
	self.startTimer = Timer();
	self.BurntID = nil;
end

function Update(self)
	if self.burnTimer:IsPastSimMS(20) then
		for actor in MovableMan.Actors do
			if actor.ID ~= 255 then
				local dist = SceneMan:ShortestDistance(self.Pos, actor.Pos, true).Magnitude
				if dist < 50 and actor.PresetName ~= "Burnt Skeleton" and actor.PresetName ~= "Reflective Robot MK-II" and actor:HasObjectInGroup("Brains") == false then
					actor.Health = 0;
					self.burnTimer:Reset();
				elseif dist > 50 and dist < 150 and actor.PresetName ~= "Burnt Skeleton" and actor.PresetName ~= "Reflective Robot MK-II" and actor:HasObjectInGroup("Brains") == false then
					actor.Health = actor.Health - (8 + math.random(1,8));
					local BurnEmitter = CreateAEmitter("Burning");
					BurnEmitter.Pos = actor.Pos;
					MovableMan:AddParticle(BurnEmitter);
					self.burnTimer:Reset();
				end
				if actor.Health <= 0 and dist < 150 then
					if actor.ClassName == "AHuman" and actor.Mass < 300 then
						actor.Lifetime = 1;
						local PoofSkeletonEmitter = CreateAEmitter("Poof Skeleton");
						PoofSkeletonEmitter.Pos = actor.Pos;
						PoofSkeletonEmitter.Vel = actor.Vel;
						MovableMan:AddParticle(PoofSkeletonEmitter);
						self.burnTimer:Reset();
					elseif actor.ClassName == "ACrab" then
						actor.Lifetime = 1;
						local PoofEmitter = CreateAEmitter("Poof");
						PoofEmitter.Pos = actor.Pos;
						PoofEmitter.Vel = actor.Vel;
						MovableMan:AddParticle(PoofEmitter);
						self.burnTimer:Reset();
					else
						actor:GibThis();
						local PoofEmitter = CreateAEmitter("Poof");
						PoofEmitter.Pos = actor.Pos;
						PoofEmitter.Vel = actor.Vel;
						MovableMan:AddParticle(PoofEmitter);
						self.burnTimer:Reset();
					end
				end
			end
		end
	end
end