function Create(self)
	self.burnTimer = Timer();
end

function Update(self)
	if self.burnTimer:IsPastSimMS(20) then
		for actor in MovableMan.Actors do
			if actor.ID ~= 255 then
				local totalVel = actor.Vel.Magnitude;
				local dist = SceneMan:ShortestDistance(self.Pos, actor.Pos, true).Magnitude
				if dist < 100 and actor.PresetName ~= "Burnt Skeleton" and actor.PresetName ~= "Reflective Robot MK-II" then
					if actor.Mass < 300 then
						actor.Health = 0;
					else
						actor.Health = actor.Health - (8 + math.random(1,8));
					end
					self.burnTimer:Reset();
				elseif dist > 100 and dist < 210 and actor.PresetName ~= "Burnt Skeleton" and actor.PresetName ~= "Reflective Robot MK-II" and actor:HasObject("Sun Tuba") == false and totalVel <= 30 then
					actor.Health = actor.Health - (4 + math.random(1,8));
					local BurnEmitter = CreateAEmitter("Burning");
					BurnEmitter.Pos = actor.Pos + (actor.Vel / 3);
					MovableMan:AddParticle(BurnEmitter);
					self.burnTimer:Reset();
				end
				if actor.Health <= 0 and dist < 210 and actor.PresetName ~= "Burnt Skeleton" and actor.PresetName ~= "Reflective Robot MK-II" then
					if actor.ClassName == "AHuman" and actor.Mass < 200 then
						actor.Lifetime = 1;
						local PoofSkeletonEmitter = CreateAEmitter("Poof Skeleton");
						PoofSkeletonEmitter.Pos = actor.Pos;
						PoofSkeletonEmitter.Vel = actor.Vel;
						MovableMan:AddParticle(PoofSkeletonEmitter);
						self.burnTimer:Reset();
					elseif actor.ClassName == "ACrab" then
						actor.Lifetime = 1;
						local PoofEmitter = CreateAEmitter("Poof");
						PoofEmitter.Pos = actor.Pos;
						PoofEmitter.Vel = actor.Vel;
						MovableMan:AddParticle(PoofEmitter);
						self.burnTimer:Reset();
					else
						actor:GibThis();
						local PoofEmitter = CreateAEmitter("Poof");
						PoofEmitter.Pos = actor.Pos;
						PoofEmitter.Vel = actor.Vel;
						MovableMan:AddParticle(PoofEmitter);
						self.burnTimer:Reset();
					end
				end
			end
		end
	end
end