function Create(self)
	self.Inactive = 0;
	self.someTimer = Timer();
	self.TargetID = nil;
	for actor in MovableMan.Actors do
		local dist = SceneMan:ShortestDistance(self.Pos, actor.Pos, true).Magnitude
		if dist < 5 then
			self.Target = actor;
		end
	end
	for particle in MovableMan.Particles do
		local dist = SceneMan:ShortestDistance(self.Pos, particle.Pos, true).Magnitude
		if dist < 5 and particle.PresetName == "Burning" then
			if particle.Age > self.Age then
				self.Inactive = 1;
				self.Lifetime = 1;
			end
		end
	end
end

function Update(self)
	for actor in MovableMan.Actors do
		local dist = SceneMan:ShortestDistance(self.Pos, actor.Pos, true).Magnitude
		if actor.ID == self.Target.ID and self.Inactive == 0 then
			local totalVel = math.sqrt(actor.Vel.X^2 + self.Vel.X^2);
			if totalVel <= 30 then
				self.Pos.X = actor.Pos.X;
				self.Pos.Y = actor.Pos.Y;
				if self.someTimer:IsPastSimMS(100) then
					actor.Health = actor.Health - 6;
					self.someTimer:Reset();
				end
				if actor.Health <= 0 then
					actor.Lifetime = 1;
					if actor.ClassName == "AHuman" then
						self:GibThis();
					end
				end
			elseif totalVel > 30 then
				self.Lifetime = 1;
			end
		--elseif actor.ID ~= self.Target.ID and dist < 5 then
			--self.TargetID = actor.ID;
		end
	end
	if self.Target:IsSetToDelete() == true then
		self.Lifetime = 1;
	end
end