function Create(self)
    --Keep track of how long it should be before healing people.
    self.healTimer = Timer();
    --Interval between healings, in milliseconds.
    self.healInterval = 100;
    --Heal counter.
    self.healnum = 0;
end

function Update(self)
	if self:GetController():IsState(Controller.PRIMARY_ACTION) then
		self:GibThis();
	end
    --Heal every interval.
    if self.healTimer:IsPastSimMS(self.healInterval) then
	--Cycle through all actors.
	for actor in MovableMan.Actors do
	    --If the actor is on the right team, has less than 100 health and is not the healer, continue with code.
	    if actor.Team ~= self.Team and actor.ID ~= self.ID then
		--Trigonometry to find how far the actor is.
		local dist = SceneMan:ShortestDistance(self.Pos, actor.Pos, true).Magnitude;
		if dist < 40 then
		    --If the actor is fairly close, heal them!
		    actor.Health = actor.Health - 0.05;
		end
	    end
	end
	--Reset the healing timer.
	self.healTimer:Reset();
	--Increment the heal counter.
	self.healnum = self.healnum + 1;
	--Reset it if it's gone too far.
	if self.healnum > 8 then
	    self.healnum = 0;
	end
    end
end