function Create(self)
    --Keep track of how long it should be before healing people.
    self.healTimer = Timer();
    --Interval between healings, in milliseconds.
    self.healInterval = 100;
end

function Update(self)
    --Heal every interval.
    if self.healTimer:IsPastSimMS(self.healInterval) then
   --Cycle through all actors.
   for actor in MovableMan.Actors do
       --If the actor is on the right team, has less than 100 health and is not the healer, continue with code.
       if actor.ID ~= self.ID then
      --Trigonometry to find how far the actor is.
		local dist = SceneMan:ShortestDistance(self.Pos, actor.Pos, true).Magnitude;
      if dist < 60 then
          --If the actor is fairly close, heal them!
          actor.Health = actor.Health - 0.05;
      end
       end
   end
   --Reset the healing timer.
   self.healTimer:Reset();
    end
end