function Create(self)
	self.reflectTimer = Timer();
	self.actorReflectTimer = Timer();
	self.safetyTimer = Timer();
end

function Update(self)
	if self:GetController():IsState(Controller.MOVE_UP) then
		if self.Vel.Y > -100 then
			self.Vel.Y = self.Vel.Y - 1;
		end
	elseif self:GetController():IsState(Controller.MOVE_DOWN) then
		if self.Vel.Y < 100 then
			self.Vel.Y = self.Vel.Y + 1;
		end
	end
	if self:GetController():IsState(Controller.MOVE_LEFT) then
		if self.Vel.X > -100 then
			self.Vel.X = self.Vel.X - 1;
		end
	elseif self:GetController():IsState(Controller.MOVE_RIGHT) then
		if self.Vel.X < 100 then
			self.Vel.X = self.Vel.X + 1;
		end
	end
	if self:GetController():IsState(Controller.PRIMARY_ACTION) then
		self:GibThis();
	end
	if self:GetController():IsState(Controller.AIM_SHARP) then
		if self.HFlipped == false then
			if self.AngularVel > -60 then
				self.AngularVel = self.AngularVel - 2;
			end
		else
			if self.AngularVel < 60 then
				self.AngularVel = self.AngularVel + 2;
			end
		end
	end
	for particle in MovableMan.Particles do
		if particle:IsAtRest() == false then
		if particle.HitsMOs then
			if particle.PresetName == "Main Thruster Blast Ball 1" or particle.PresetName == "Main Thruster Blast Ball 1 Glow" or particle.PresetName == "Main Thruster Blast Ball 2" or particle.PresetName == "Air Blast" or particle.PresetName == "Pulse Particle" then
				particle:SetWhichMOToNotHit(self,-1);
			end
			local avgx = particle.Pos.X - self.Pos.X;
			local avgy = particle.Pos.Y - self.Pos.Y;
			local dist = math.sqrt(avgx ^ 2 + avgy ^ 2);
			local relativeVelX = particle.Vel.X - self.Vel.X;
			local relativeVelY = particle.Vel.Y - self.Vel.Y;
			local totalVelocity = math.sqrt(relativeVelX ^ 2 + relativeVelY ^ 2);
			if dist < 20 + (totalVelocity / 3) + particle.Radius then
				local partImpulse = particle.Mass * totalVelocity;
				if partImpulse > 50 or totalVelocity > 200 then
					if particle.ClassName == "MOPixel" or particle.ClassName == "MOSParticle" then
						if particle.Pos.X > self.Pos.X and relativeVelX < 0 then
							particle.Mass = particle.Mass / 1000;
							particle.Sharpness = particle.Sharpness * 1000;
						end
						if particle.Pos.X < self.Pos.X and relativeVelX > 0 then
							particle.Mass = particle.Mass / 1000;
							particle.Sharpness = particle.Sharpness * 1000;
						end
					elseif self.reflectTimer:IsPastSimMS(50) then
						if particle.Pos.X < (self.Pos.X+particle.Radius) and relativeVelX > 0 then
							self.emitter = CreateAEmitter("Plink");
							self.emitter.Pos.X = self.Pos.X - 7;
							self.emitter.Pos.Y = particle.Pos.Y + (relativeVelY / 3);
							self.emitter.RotAngle = particle.RotAngle + math.pi;
							MovableMan:AddParticle(self.emitter);
							particle.Vel.X = -relativeVelX;
							particle.Vel.Y = -relativeVelY;
							local massFactor = particle.Mass / self.Mass;
							if massFactor >= 1 then
								self.Vel.X = self.Vel.X + relativeVelX;
								self.Vel.Y = self.Vel.Y + relativeVelY;
							else
								self.Vel.X = self.Vel.X + (relativeVelX * massFactor);
								self.Vel.Y = self.Vel.Y + (relativeVelY * massFactor);
							end
						end
						if particle.Pos.X > (self.Pos.X-particle.Radius) and relativeVelX < 0 then
							self.emitter = CreateAEmitter("Plink");
							self.emitter.Pos.X = self.Pos.X + 7;
							self.emitter.Pos.Y = particle.Pos.Y + (relativeVelY / 3);
							self.emitter.RotAngle = particle.RotAngle + math.pi;
							MovableMan:AddParticle(self.emitter);
							particle.Vel.X = -relativeVelX;
							particle.Vel.Y = -relativeVelY;
							local massFactor = particle.Mass / self.Mass;
							if massFactor >= 1 then
								self.Vel.X = self.Vel.X + relativeVelX;
								self.Vel.Y = self.Vel.Y + relativeVelY;
							else
								self.Vel.X = self.Vel.X + (relativeVelX * massFactor);
								self.Vel.Y = self.Vel.Y + (relativeVelY * massFactor);
							end
						end
						if relativeVelX == 0 then
							particle.Vel.X = relativeVelY;
							particle.vel.Y = relativeVelY / 5;
							local massFactor = actor.Mass / self.Mass;
							if massFactor >= 1 then
								self.Vel.Y = self.Vel.Y + relativeVelY;
							else
								self.Vel.Y = self.Vel.Y + (relativeVelY * massFactor);
							end
						end
						self.reflectTimer:Reset();
					end
				end
			end
		end
	end
	end
	if self.reflectTimer:IsPastSimMS(50) then
	for particle in MovableMan.Items do
		if particle.ClassName == "TDExplosive" then
			if particle.HitsMOs then
				local avgx = particle.Pos.X - self.Pos.X;
				local avgy = particle.Pos.Y - self.Pos.Y;
				local dist = math.sqrt(avgx ^ 2 + avgy ^ 2);
				local relativeVelX = particle.Vel.X - self.Vel.X;
				local relativeVelY = particle.Vel.Y - self.Vel.Y;
				local totalVelocity = math.sqrt(relativeVelX ^ 2 + relativeVelY ^ 2);
				if dist < 20 + (totalVelocity / 3) + particle.Radius then
					if particle.Pos.X > (self.Pos.X-particle.Radius) and relativeVelX < 0 then
						self.emitter = CreateAEmitter("Plink");
						self.emitter.Pos.X = self.Pos.X + 7;
						self.emitter.Pos.Y = particle.Pos.Y + (relativeVelY / 3);
						self.emitter.RotAngle = particle.RotAngle + math.pi;
						MovableMan:AddParticle(self.emitter);
						particle.Vel.X = -relativeVelX;
						particle.Vel.Y = -relativeVelY;
						local massFactor = particle.Mass / self.Mass;
						if massFactor >= 1 then
							self.Vel.X = self.Vel.X + relativeVelX;
							self.Vel.Y = self.Vel.Y + relativeVelY;
						else
							self.Vel.X = self.Vel.X + (relativeVelX * massFactor);
							self.Vel.Y = self.Vel.Y + (relativeVelY * massFactor);
						end
					end
					if particle.Pos.X < (self.Pos.X+particle.Radius) and relativeVelX > 0 then
						self.emitter = CreateAEmitter("Plink");
						self.emitter.Pos.X = self.Pos.X - 7;
						self.emitter.Pos.Y = particle.Pos.Y + (relativeVelY / 3);
						self.emitter.RotAngle = particle.RotAngle + math.pi;
						MovableMan:AddParticle(self.emitter);
						particle.Vel.X = -relativeVelX;
						particle.Vel.Y = -relativeVelY;
						local massFactor = particle.Mass / self.Mass;
						if massFactor >= 1 then
							self.Vel.X = self.Vel.X + relativeVelX;
							self.Vel.Y = self.Vel.Y + relativeVelY;
						else
							self.Vel.X = self.Vel.X + (relativeVelX * massFactor);
							self.Vel.Y = self.Vel.Y + (relativeVelY * massFactor);
						end
					end
					if relativeVelX == 0 then
						particle.Vel.X = relativeVelY;
						particle.vel.Y = relativeVelY / 5;
						local massFactor = actor.Mass / self.Mass;
						if massFactor >= 1 then
							self.Vel.Y = self.Vel.Y + relativeVelY;
						else
							self.Vel.Y = self.Vel.Y + (relativeVelY * massFactor);
						end
					end
				self.reflectTimer:Reset();
				end
			end
		end
	end
	end
	if self.actorReflectTimer:IsPastSimMS(100) then
	for actor in MovableMan.Actors do
		if actor.HitsMOs then
			local avgx = actor.Pos.X - self.Pos.X;
			local avgy = actor.Pos.Y - self.Pos.Y;
			local dist = math.sqrt(avgx ^ 2 + avgy ^ 2);
			local relativeVelX = actor.Vel.X - self.Vel.X;
			local relativeVelY = actor.Vel.Y - self.Vel.Y;
			local totalVelocity = math.sqrt(relativeVelX ^ 2 + relativeVelY ^ 2);
			if dist < 20 + (totalVelocity / 3) + actor.Radius and totalVelocity > 5 then
				if actor.Team ~= self.Team or self.safetyTimer:IsPastSimMS(2000) then
				if actor.Pos.X > (self.Pos.X-actor.Radius) and relativeVelX < 0 then
					self.emitter = CreateAEmitter("Plink");
					self.emitter.Pos.X = self.Pos.X + 7;
					self.emitter.Pos.Y = actor.Pos.Y + (relativeVelY / 3);
					self.emitter.RotAngle = actor.RotAngle + math.pi;
					MovableMan:AddParticle(self.emitter);
					actor.Vel.X = -relativeVelX;
					actor.Vel.Y = -relativeVelY;
					if actor.PresetName ~= "Reflective Robot MK-II" then
						actor.Health = actor.Health - (totalVelocity / 2);
					end
					local massFactor = actor.Mass / self.Mass;
					if massFactor >= 1 then
						self.Vel.X = self.Vel.X + relativeVelX;
						self.Vel.Y = self.Vel.Y + relativeVelY;
					else
						self.Vel.X = self.Vel.X + (relativeVelX * massFactor);
						self.Vel.Y = self.Vel.Y + (relativeVelY * massFactor);
					end
				end
				if actor.Pos.X < (self.Pos.X+actor.Radius) and relativeVelX > 0 then
					self.emitter = CreateAEmitter("Plink");
					self.emitter.Pos.X = self.Pos.X - 7;
					self.emitter.Pos.Y = actor.Pos.Y + (relativeVelY / 3);
					self.emitter.RotAngle = actor.RotAngle + math.pi;
					MovableMan:AddParticle(self.emitter);
					actor.Vel.X = -relativeVelX;
					actor.Vel.Y = -relativeVelY;
					actor.Health = actor.Health - (totalVelocity / 2);
					local massFactor = actor.Mass / self.Mass;
					if massFactor >= 1 then
						self.Vel.X = self.Vel.X + relativeVelX;
						self.Vel.Y = self.Vel.Y + relativeVelY;
					else
						self.Vel.X = self.Vel.X + (relativeVelX * massFactor);
						self.Vel.Y = self.Vel.Y + (relativeVelY * massFactor);
					end
				end
				if relativeVelX == 0 then
					actor.Vel.X = relativeVelY;
					actor.vel.Y = relativeVelY / 5;
					actor.Health = actor.Health - 10;
					local massFactor = actor.Mass / self.Mass;
					if massFactor >= 1 then
						self.Vel.Y = self.Vel.Y + relativeVelY;
					else
						self.Vel.Y = self.Vel.Y + (relativeVelY * massFactor);
					end
				end
				end
			self.actorReflectTimer:Reset();
			end
		end
	end
	end
end