function Create(self)
	self.lifeTimer = Timer();
end

function Destroy(self)
	if self.lifeTimer:IsPastSimMS(350) == false then
		self.impactemitter = nil;
		if self.impactemitter == CreateAEmitter("Bullet Effects") then
			self.impactemitter.Pos.X = self.Pos.X + (self.Vel.X / 3);
			self.impactemitter.Pos.Y = self.Pos.Y + (self.Vel.Y / 3);
			local totalVelocity = math.sqrt(self.Vel.X^2 + self.Vel.Y^2);
			local flightAngle = math.asin(self.Vel.Y / totalVelocity);
			self.impactemitter.RotAngle = flightAngle + math.pi;
			MovableMan:AddParticle(self.impactemitter);
		else
			self.impactemitter = CreateAEmitter("Bullet Effects");
			self.impactemitter.Pos.X = self.Pos.X + (self.Vel.X / 3);
			self.impactemitter.Pos.Y = self.Pos.Y + (self.Vel.Y / 3);
			local totalVelocity = math.sqrt(self.Vel.X^2 + self.Vel.Y^2);
			local flightAngle = math.asin(self.Vel.Y / totalVelocity);
			self.impactemitter.RotAngle = flightAngle + math.pi;
			MovableMan:AddParticle(self.impactemitter);
		end
	end
	for actor in MovableMan.Actors do
		if actor.ClassName ~= "ACRocket" and actor.ClassName ~= "ACDropShip" then
			local avgx = actor.Pos.X - self.Pos.X;
			local avgy = actor.Pos.Y - self.Pos.Y;
			local dist = math.sqrt(avgx ^ 2 + avgy ^ 2);
			if dist < actor.Diameter then
				local massFactor = self.Mass / actor.Mass;
				actor.Vel.X = actor.Vel.X + (self.Vel.X * massFactor);
				actor.Vel.Y = actor.Vel.Y + (self.Vel.Y * massFactor);
			end
		end
	end
end