function Create(self)
	for actor in MovableMan.Actors do
		local avgx = actor.Pos.X - self.Pos.X;
		local avgy = actor.Pos.Y - self.Pos.Y;
		local dist = math.sqrt(avgx ^ 2 + avgy ^ 2);
		if dist < 50 and actor:HasObject("MFTBM Shotgun") then
			if actor.HFlipped == false then
				local muzzleemitter = CreateAEmitter("MFTBM Effects");
				muzzleemitter.Pos.X = self.Pos.X - (self.Vel.X / 3);
				muzzleemitter.Pos.Y = self.Pos.Y - (self.Vel.Y / 3);
				muzzleemitter.RotAngle = self.RotAngle;
				MovableMan:AddParticle(muzzleemitter);	
			else
				local muzzleemitter = CreateAEmitter("MFTBM Effects");
				muzzleemitter.Pos.X = self.Pos.X - (self.Vel.X / 3);
				muzzleemitter.Pos.Y = self.Pos.Y - (self.Vel.Y / 3);
				muzzleemitter.RotAngle = self.RotAngle + math.pi;
				MovableMan:AddParticle(muzzleemitter);
			end
		end
	end
end