function Create(self)
	self.Harmless = 0;
	self.owner = nil;
	local selfTotalVel = math.sqrt(self.Vel.X^2 + self.Vel.Y^2);
	-- iterate through all the MOs within 400 pixels of self:
	for i = 1, MovableMan:GetMOIDCount() - 1, 1 do
		self.target = MovableMan:GetMOFromID(i)
		self.targetRoot = MovableMan:GetMOFromID(self.target.RootID);
		if self.ID ~= i and (self.target.Pos - self.Pos).Magnitude < 100 and self.Harmless ~= 1 then
			--use CastMORay to find out if there are no obstacles between self and target:
			self.pointed = MovableMan:GetMOFromID(SceneMan:CastMORay(self.Pos+(self.Vel/12),(self.Vel/-3),self.ID,self.Team,0,true,1))
			if self.pointed ~= nil then
				if self.pointed.RootID == self.target.RootID then
					if self.target:HasObject("T-Rex") == true then
						self.owner = self.target;
					elseif self.target.ClassName ~= "ACRocket" and self.target.ClassName ~= "ACDropShip" and self.target.Radius < 20 then
						if self.targetRoot.PresetName == "Reflective Robot MK-II" then
							self.targetRoot.Vel = self.Vel * (self.Mass/self.targetRoot.Mass);
							self.Vel = self.Vel * -1;
							self.owner = self.targetRoot;
							self.blorgemitter = CreateAEmitter("Plink");
							self.blorgemitter.Pos.X = self.targetRoot.Pos.X;
							self.blorgemitter.Pos.Y = self.Pos.Y;
							if self.Vel.X > 0 then
								self.blorgemitter.RotAngle = math.atan(self.Vel.Y/self.Vel.X);
							else
								self.blorgemitter.RotAngle = math.atan(self.Vel.Y/self.Vel.X) + math.pi;
							end
							MovableMan:AddParticle(self.blorgemitter);
						else
							self.target.Vel.X = self.target.Vel.X + (self.Vel.X/5);
							self.target.Vel.Y = self.target.Vel.Y + (self.Vel.Y/5);
							for i=1,MovableMan:GetMOIDCount()-1 do
								local mo = MovableMan:GetMOFromID(i);
								if mo.RootID == self.target.ID and mo.ClassName ~= "MOPixel" and mo.ClassName ~= "MOSParticle" then
									ToMOSRotating(mo):GibThis();
								end
							end
							self.Vel = self.Vel * 0.8;
						end
					elseif self.target.ClassName == "ACRocket" or self.target.ClassName == "ACDropShip" or self.target.Radius > 20 then
						self.targetRoot.Vel.X = self.target.Vel.X + (self.Vel.X/20);
						self.targetRoot.Vel.Y = self.target.Vel.Y + (self.Vel.Y/20);
						self.Pos = self.Pos - (self.Vel/6);
						self.HitsMOs = true;
						self.Harmless = 1;
					end
				end
			end
		end
	end
	if self.owner == nil then
		self.owner = self;
	end
end

function Update(self)
	local selfTotalVel = math.sqrt(self.Vel.X^2 + self.Vel.Y^2);
	-- iterate through all the MOs within 400 pixels of self:
	for i = 1, MovableMan:GetMOIDCount() - 1, 1 do
		self.target = MovableMan:GetMOFromID(i)
		self.targetRoot = MovableMan:GetMOFromID(self.target.RootID);
		if self.ID ~= i and (self.target.Pos - self.Pos).Magnitude < 100 and self.Harmless ~= 1 then
			--use CastMORay to find out if there are no obstacles between self and target:
			self.pointed = MovableMan:GetMOFromID(SceneMan:CastMORay(self.Pos+(self.Vel/24),(self.Vel/-3),self.ID,self.Team,0,true,1))
			if self.pointed ~= nil then
				if self.pointed.RootID == self.target.RootID and self.target.RootID ~= self.owner.RootID then
					if self.target.ClassName ~= "ACRocket" and self.target.ClassName ~= "ACDropShip" and self.target.Radius < 20 then
						if self.targetRoot.PresetName == "Reflective Robot MK-II" then
							self.targetRoot.Vel = self.Vel * (self.Mass/self.targetRoot.Mass);
							self.Vel = self.Vel * -1;
							self.owner = self.targetRoot;
							self.blorgemitter = CreateAEmitter("Plink");
							self.blorgemitter.Pos.X = self.targetRoot.Pos.X;
							self.blorgemitter.Pos.Y = self.Pos.Y;
							if self.Vel.X > 0 then
								self.blorgemitter.RotAngle = math.atan(self.Vel.Y/self.Vel.X);
							else
								self.blorgemitter.RotAngle = math.atan(self.Vel.Y/self.Vel.X) + math.pi;
							end
							MovableMan:AddParticle(self.blorgemitter);
						else
							self.target.Vel.X = self.target.Vel.X + (self.Vel.X/5);
							self.target.Vel.Y = self.target.Vel.Y + (self.Vel.Y/5);
							for i=1,MovableMan:GetMOIDCount()-1 do
								local mo = MovableMan:GetMOFromID(i);
								if mo.RootID == self.target.ID and mo.ClassName ~= "MOPixel" and mo.ClassName ~= "MOSParticle" then
									ToMOSRotating(mo):GibThis();
								end
							end
							self.Vel = self.Vel * 0.8;
						end
					elseif self.target.ClassName == "ACRocket" or self.target.ClassName == "ACDropShip" or self.target.Radius > 20 then
						self.targetRoot.Vel.X = self.target.Vel.X + (self.Vel.X/20);
						self.targetRoot.Vel.Y = self.target.Vel.Y + (self.Vel.Y/20);
						self.Pos = self.Pos - (self.Vel/3);
						self.HitsMOs = true;
						self.Harmless = 1;
					end
				end
			end
		end
	end
end