function Destroy(self)
	for actor in MovableMan.Actors do
		if actor.ID ~= 255 then
			local dist = SceneMan:ShortestDistance(self.Pos, actor.Pos, true);
			local splashDamage = 200 - dist.Magnitude;
			if dist.Magnitude < 200 and actor:HasObjectInGroup("Brains") == false then
				local c = 40 - (dist.Magnitude/5);
				local angle = dist.AbsRadAngle;
				actor.Vel = actor.Vel + Vector(c,0):RadRotate(angle);
				if actor.PresetName ~= "Reflective Robot MK-II" then
					if actor.Health - splashDamage <= -50 and actor.ClassName ~= "ACRocket" and actor.ClassName ~= "ACDropShip" then
						for i=1,MovableMan:GetMOIDCount()-1 do
							local mo = MovableMan:GetMOFromID(i);
							if mo.RootID == actor.ID and mo.ClassName ~= "MOPixel" and mo.ClassName ~= "MOSParticle" then
								ToMOSRotating(mo):GibThis();
							end
						end
					else
						if actor.ClassName == "AHuman" or actor.ClassName == "ACrab" then
							actor.Health = actor.Health - splashDamage;
						else
							actor.Health = actor.Health - (splashDamage/2);
						end
					end
				end
			end
		end
	end
end